//Global defines

#ifndef GLOBALS_H
#define GLOBALS_H

// Define CPU speed (20MHz) for delay loop computations
#define F_CPU 20000000UL

// Datatypes
typedef unsigned char u08;
typedef signed char s08;
typedef unsigned int u16;
typedef signed int s16;

// Bit manipulation macros
#define sbi(a, b) ((a) |= 1 << (b))       //sets bit B in variable A
#define cbi(a, b) ((a) &= ~(1 << (b)))    //clears bit B in variable A
#define tbi(a, b) ((a) ^= 1 << (b))       //toggles bit B in variable A

//Port C macro
//PC7|PC6|PC5|PC4|PC3|PC2|PB3|PB2

#define write_bus(X) PORTC = (X & 0xfc) | (PINC & 0x03); PORTB = ((X << 2) & 0x0c) | (PINB & 0xf3);


#define R_PORTC 1
#define make_bus_output() DDRC |= 0xfc; DDRB |= 0x0c;
#define make_bus_input() DDRC &= 0x03; DDRB &= 0xf3;

#endif
